<?php

$year     = date('Y');      // aktuelles Jahr
$timezone = 'Europe/Berlin';
$offset   = 0;

$dt = new DateTimeZone($timezone);
$ts = $dt->getTransitions(mktime(0, 0, 0, 1, 1, $year),
                          mktime(0, 0, 0, 12, 31, $year));
if ( isset($ts[1]) ) {
    $sommerzeitBeginn = date_create($ts[1]['time'])->format('d.m.Y');
    $sommerzeitEnde   = date_create($ts[2]['time'])->format('d.m.Y');
    $offset = (($ts[1]['offset']-$ts[2]['offset'])/3600);
    echo 'Zeitumstellung für Zeitzone  ' . $timezone, ' für das Jahr ' . $year, '<br>';
    echo '<img src="https://www.sgs-visual.de/data/uhrumstellung/uhrumstellung.png" alt=" "><br>';
  

    echo 'Der Beginn der Sommerzeit ist die Nacht von Samstag auf Sonntag ' . $sommerzeitBeginn, '<br>';
    echo 'Die Normalzeit beginnt wieder am ' . $sommerzeitEnde, '<br>';
}else{
    echo 'Keine Sommerzeit-Umstellung in dieser Zeitzone', '<br>';
}

if ( $offset>0 ){
    echo 'Die Uhr wird am ' . $sommerzeitBeginn, ' in der Nacht vom Samstag auf Sonntag um 02:00 Uhr um '. abs($offset) .
         ' Stunde(n) vor gestellt.';
}
if ( $offset<0 ){
    echo 'Die Uhr wird um 03:00 Uhr um '. abs($offset) .
         ' Stunde(n) zurück gestellt.';
} 

include ( 'https://www.sgs-visual.de/stat/config/tracking_code.php' );

?>